<div class="grid">
  <div class="col-3">
    <div class="grid">
      <span class="col-12">Produtor</span>
      <div class="col-12 py-0">
        <div class="p-inputgroup">
          <input
            pInputText
            type="text"
            class="col-12"
            placeholder="Selecione"
            [readonly]="true"
            [(ngModel)]="g.colm_crud_produtor"
            (click)="inppro()"
          />
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-search"
            class="p-0"
            (click)="inppro()"
          ></button>
        </div>
      </div>
    </div>
  </div>
  <p-dialog
    header="Produtores"
    [styleClass]="'w-8'"
    [modal]="true"
    [draggable]="false"
    [resizable]="false"
    [closeOnEscape]="true"
    [closable]="!g.buscandoWS"
    [(visible)]="spro"
  >
    <p-table
      #tableProdutores
      [value]="g.prod_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [(selection)]="g.colm_crud_produtor_obj"
      (onRowSelect)="selpro()"
      [rowHover]="true"
      [rows]="10"
      styleClass="p-datatable-sm"
      dataKey="Cadastro"
      [globalFilterFields]="[
        'Cadastro',
        'Nome',
        'Cpf',
        'Matricula',
        'Cidade',
        'UF'
      ]"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
                tableProdutores.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Cadastro</th>
          <th>Nome</th>
          <th>CPF</th>
          <th>Matricula</th>
          <th>E-mail</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-produtores>
        <tr [pSelectableRow]="produtores">
          <td>{{ produtores.Cadastro }}</td>
          <td>{{ produtores.Nome }}</td>
          <td>{{ produtores.Cpf }}</td>
          <td>{{ produtores.Matricula }}</td>
          <td>{{ produtores.email }}</td>
        </tr>
      </ng-template>
    </p-table>
  </p-dialog>

  <div class="col-3">
    <div class="grid">
      <span class="col-12">Apiario</span>
      <div class="col-12 py-0">
        <div class="p-inputgroup">
          <input
            pInputText
            type="text"
            class="col-12"
            placeholder="Selecione"
            [readonly]="true"
            [(ngModel)]="g.colm_crud_apiario"
            (click)="inpapi()"
          />
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-search"
            class="p-0"
            (click)="inpapi()"
          ></button>
        </div>
      </div>
    </div>
  </div>
  <p-dialog
    header="Apiarios"
    [styleClass]="'w-8'"
    [modal]="true"
    [draggable]="false"
    [resizable]="false"
    [closeOnEscape]="true"
    [closable]="!g.buscandoWS"
    [(visible)]="sapi"
  >
    <p-table
      #tableApiarios
      [value]="g.apia_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [(selection)]="g.colm_crud_apiario_obj"
      (onRowSelect)="selapi()"
      [rowHover]="true"
      [rows]="10"
      styleClass="p-datatable-sm"
      dataKey="seqApiario"
      [globalFilterFields]="[
        'apiario',
        'ProNom',
        'Nome',
        'Latitude',
        'Longitude'
      ]"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
              tableApiarios.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Produtor</th>
          <th>Apiario</th>
          <th>Código</th>
          <th>Endereco</th>
          <th>Latitude</th>
          <th>Longitude</th>
          <th>Quantidade de Colmeias</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-apiarios>
        <tr [pSelectableRow]="apiarios">
          <td>{{ apiarios.ProNom }}</td>
          <td>{{ apiarios.Nome }}</td>
          <td>{{ apiarios.apiario }}</td>
          <td>{{ apiarios.Endereco }}</td>
          <td>{{ apiarios.Latitude }}</td>
          <td>{{ apiarios.Longitude }}</td>
          <td>{{ apiarios.QuantidadeColmeia }}</td>
        </tr>
      </ng-template>
    </p-table>
  </p-dialog>

  <div class="col-3">
    <div class="grid">
      <span class="col-12">Colmeia</span>
      <div class="col-12 py-0">
        <p-inputNumber
          [(ngModel)]="g.colm_crud_colmeia"
          class="w-12"
          [styleClass]="'w-12'"
          [inputStyleClass]="'col-12'"
          [minFractionDigits]="0"
          [maxFractionDigits]="0"
          [useGrouping]="false"
          [readonly]="true"
        >
        </p-inputNumber>
      </div>
    </div>
  </div>

  <div class="col-3">
    <div class="grid">
      <span class="col-12">Data Instalação</span>
      <div class="col-12 py-0">
        <p-inputMask
          mask="99/99/9999"
          class="w-12"
          [styleClass]="'w-12'"
          placeholder="dd/mm/aaaa"
          [autoClear]="false"
          [(ngModel)]="g.colm_crud_data"
        ></p-inputMask>
      </div>
    </div>
  </div>
</div>
